 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.PeriodEntity;
import com.huimv.management.service.PeriodService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 栏期信息表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "栏期信息表")
@RestController
@RequestMapping("management/period")
public class PeriodController {
    @Autowired
    private PeriodService periodService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = periodService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		PeriodEntity period = periodService.getById(id);

        return R.ok().put("period", period);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody PeriodEntity period){
		periodService.save(period);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody PeriodEntity period){
		periodService.updateById(period);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		periodService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

    @RequestMapping("/findAll")
    public R findAll(){
        List list = periodService.findAll();

        return R.ok().put("all",list);
    }

}
